Subject: [Class of 2014] Art + Appetizers tomorrow 4:30-6pm at the List Center!

From: Yi Wu <[email-masked]>
Date: Wed, 13 Mar 2013 20:05:56 -0400

Hi Class of 2014!

We're really excited to bring you Art + Appetizers *tomorrow, March 14th,
4:30-6:00 PM* at the *List Visual Arts Center *(http://listart.mit.edu/).
There will be:

- Super cool spinnable stemless wine glasses (see attached video)
- Buffet of delicious thai appetizers from Royal East (which has Island
Hopper's old chef!)
- Optional tour at 5:00 of the beautiful art at the List Center
- Raffle to win an exhibition catalog

Plus donate to support expedition grants for 2014s including Janet Lin,
Shambhu Koirala, Turner Bohlen, and Jake Bograd-Denton in the Undergraduate
Giving Campaign<https://giving.mit.edu/underclassmen-campaign/candidates.html>
--
they'll also come with cupcakes as usual!

Look forward to seeing you guys soon,

Your 2014 Class Council